# Uses of Interface
java.lang.classfile.attribute.ModuleRequireInfo

Packages that use ModuleRequireInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleRequireInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ModuleRequireInfo
Modifier and Type
Method
Description
`static ModuleRequireInfo`
ModuleRequireInfo.`of(ModuleEntry requires, int requiresFlags, Utf8Entry requiresVersion)`
Returns a module requirement description.
`static ModuleRequireInfo`
ModuleRequireInfo.`of(ModuleEntry requires, Collection<AccessFlag> requiresFlags, Utf8Entry requiresVersion)`
Returns a module requirement description.
`static ModuleRequireInfo`
ModuleRequireInfo.`of(ModuleDesc requires, int requiresFlags, String requiresVersion)`
Returns a module requirement description.
`static ModuleRequireInfo`
ModuleRequireInfo.`of(ModuleDesc requires, Collection<AccessFlag> requiresFlags, String requiresVersion)`
Returns a module requirement description.
Methods in java.lang.classfile.attribute that return types with arguments of type ModuleRequireInfo
Modifier and Type
Method
Description
`List<ModuleRequireInfo>`
ModuleAttribute.`requires()`
Returns the modules required by this module.
Methods in java.lang.classfile.attribute with parameters of type ModuleRequireInfo
Modifier and Type
Method
Description
`ModuleAttribute.ModuleAttributeBuilder`
ModuleAttribute.ModuleAttributeBuilder.`requires(ModuleRequireInfo requires)`
Adds module requirement.
Method parameters in java.lang.classfile.attribute with type arguments of type ModuleRequireInfo
Modifier and Type
Method
Description
`static ModuleAttribute`
ModuleAttribute.`of(ModuleEntry moduleName, int moduleFlags, Utf8Entry moduleVersion, Collection<ModuleRequireInfo> requires, Collection<ModuleExportInfo> exports, Collection<ModuleOpenInfo> opens, Collection<ClassEntry> uses, Collection<ModuleProvideInfo> provides)`
Returns a `Module` attribute.